Bug 401051 - crop doesn't work
crop doesn't work
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-27 10:09 EST by Radek Vokal
Modified: 2008-10-10 17:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-10 16:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Radek Vokal 2007-11-27 10:09:22 EST
Description of problem:
I've just updated Fedora 6 to Fedora 8 and the crop function in gthumb stopped
working. If you select view image -> image -> crop -> select some area -> apply 
.. nothing happens

Version-Release number of selected component (if applicable):

How reproducible:

Actual results:
no cropping

Expected results:
cropped image

Additional info:
let me know what else I should provide
Comment 1 Michal Jaegermann 2008-10-09 16:48:58 EDT
I just bumped into the same problem with
gthumb-2.10.10-1.fc10.x86_64 and gthumb-2.10.8-3.fc9.

gthumb-2.10.8-3.fc9 is just "silent" while
gthumb-2.10.10-1.fc10.x86_64 opened from a terminal
produces a constant stream of messages like that:

(gthumb:3342): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

This does not seem to be related to an inability to crop,

This is nearly a year while this bug
remains as NEW.
Comment 2 Matthias Clasen 2008-10-10 16:12:11 EDT
It works somewhat unintuitively, but it works.

Use crop menuitem
Select area to crop to
Press Crop button
Press Save or Apply
Comment 3 Michal Jaegermann 2008-10-10 17:08:30 EDT
You are right but without your instructions I would
have trouble to realize that "Crop" is a button
and not just simply an operation marker.  Thanks!

Some "useability experts" obviously had a hand in this.

Note You need to log in before you can comment on or make changes to this bug.